<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Actions | Vivifly</title>
	<meta name="description" content="Documentation for Vivifly">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.json" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">Vivifly</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="actions.html">Actions</a>
				</li>
			</ul>
			<h1>Interface Actions</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>Interface that holds all actions for the current appcontext</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">Actions</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#addelementtype" class="tsd-kind-icon">add<wbr>Element<wbr>Type</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#addimageregions" class="tsd-kind-icon">add<wbr>Image<wbr>Regions</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#createnewsituation" class="tsd-kind-icon">create<wbr>New<wbr>Situation</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#hideinformationbanner" class="tsd-kind-icon">hide<wbr>Information<wbr>Banner</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#removeelementtype" class="tsd-kind-icon">remove<wbr>Element<wbr>Type</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#removesituation" class="tsd-kind-icon">remove<wbr>Situation</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#removetemptransitions" class="tsd-kind-icon">remove<wbr>Temp<wbr>Transitions</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#removetimebasedtransition" class="tsd-kind-icon">remove<wbr>Time<wbr>Based<wbr>Transition</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#renamesituation" class="tsd-kind-icon">rename<wbr>Situation</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setbuttontransition" class="tsd-kind-icon">set<wbr>Button<wbr>Transition</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setchooseimageareasmodalvisibility" class="tsd-kind-icon">set<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal<wbr>Visibility</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setcurrentsituation" class="tsd-kind-icon">set<wbr>Current<wbr>Situation</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setdemomode" class="tsd-kind-icon">set<wbr>Demo<wbr>Mode</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setlightcolor" class="tsd-kind-icon">set<wbr>Light<wbr>Color</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setlightemission" class="tsd-kind-icon">set<wbr>Light<wbr>Emission</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setnewelementtypemodalvisibility" class="tsd-kind-icon">set<wbr>New<wbr>Element<wbr>Type<wbr>Modal<wbr>Visibility</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setplaneselectionmode" class="tsd-kind-icon">set<wbr>Plane<wbr>Selection<wbr>Mode</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setrenamingmodalsituation" class="tsd-kind-icon">set<wbr>Renaming<wbr>Modal<wbr>Situation</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setscreenimage" class="tsd-kind-icon">set<wbr>Screen<wbr>Image</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setscreenplane" class="tsd-kind-icon">set<wbr>Screen<wbr>Plane</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setscreenresolution" class="tsd-kind-icon">set<wbr>Screen<wbr>Resolution</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setselectedelement" class="tsd-kind-icon">set<wbr>Selected<wbr>Element</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setstartsituation" class="tsd-kind-icon">set<wbr>Start<wbr>Situation</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#settimebasedtransition" class="tsd-kind-icon">set<wbr>Time<wbr>Based<wbr>Transition</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#settimebasedtransitionmodalvisibility" class="tsd-kind-icon">set<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal<wbr>Visibility</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#settouchareatransition" class="tsd-kind-icon">set<wbr>Touch<wbr>Area<wbr>Transition</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#setunityloadingprogress" class="tsd-kind-icon">set<wbr>Unity<wbr>Loading<wbr>Progress</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#shownextinformationbanner" class="tsd-kind-icon">show<wbr>Next<wbr>Information<wbr>Banner</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="actions.html#switchcamerabehaviour" class="tsd-kind-icon">switch<wbr>Camera<wbr>Behaviour</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="addelementtype" class="tsd-anchor"></a>
					<h3>add<wbr>Element<wbr>Type</h3>
					<div class="tsd-signature tsd-kind-icon">add<wbr>Element<wbr>Type<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, type<span class="tsd-signature-symbol">: </span><a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:10</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, type<span class="tsd-signature-symbol">: </span><a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>element: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>type: <a href="../globals.html#elementtype" class="tsd-signature-type">ElementType</a></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="addimageregions" class="tsd-anchor"></a>
					<h3>add<wbr>Image<wbr>Regions</h3>
					<div class="tsd-signature tsd-kind-icon">add<wbr>Image<wbr>Regions<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>regions<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">any</span><span class="tsd-signature-symbol">[]</span>, sourceStateID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, imgWidth<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, imgHeight<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, temp<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:36</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>regions<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">any</span><span class="tsd-signature-symbol">[]</span>, sourceStateID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, imgWidth<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, imgHeight<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, temp<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>regions: <span class="tsd-signature-type">any</span><span class="tsd-signature-symbol">[]</span></h5>
											</li>
											<li>
												<h5>sourceStateID: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>element: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>imgWidth: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>imgHeight: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>temp: <span class="tsd-signature-type">boolean</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="createnewsituation" class="tsd-anchor"></a>
					<h3>create<wbr>New<wbr>Situation</h3>
					<div class="tsd-signature tsd-kind-icon">create<wbr>New<wbr>Situation<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>newSituationName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:11</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>newSituationName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>newSituationName: <span class="tsd-signature-type">string</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">number</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="hideinformationbanner" class="tsd-anchor"></a>
					<h3>hide<wbr>Information<wbr>Banner</h3>
					<div class="tsd-signature tsd-kind-icon">hide<wbr>Information<wbr>Banner<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:12</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="removeelementtype" class="tsd-anchor"></a>
					<h3>remove<wbr>Element<wbr>Type</h3>
					<div class="tsd-signature tsd-kind-icon">remove<wbr>Element<wbr>Type<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, type<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:13</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, type<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>element: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>type: <span class="tsd-signature-type">string</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="removesituation" class="tsd-anchor"></a>
					<h3>remove<wbr>Situation</h3>
					<div class="tsd-signature tsd-kind-icon">remove<wbr>Situation<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:14</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>situationID: <span class="tsd-signature-type">number</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="removetemptransitions" class="tsd-anchor"></a>
					<h3>remove<wbr>Temp<wbr>Transitions</h3>
					<div class="tsd-signature tsd-kind-icon">remove<wbr>Temp<wbr>Transitions<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:37</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="removetimebasedtransition" class="tsd-anchor"></a>
					<h3>remove<wbr>Time<wbr>Based<wbr>Transition</h3>
					<div class="tsd-signature tsd-kind-icon">remove<wbr>Time<wbr>Based<wbr>Transition<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>sourceSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:15</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>sourceSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>sourceSituationID: <span class="tsd-signature-type">number</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="renamesituation" class="tsd-anchor"></a>
					<h3>rename<wbr>Situation</h3>
					<div class="tsd-signature tsd-kind-icon">rename<wbr>Situation<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, newSituationName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:16</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, newSituationName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>situationID: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>newSituationName: <span class="tsd-signature-type">string</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setbuttontransition" class="tsd-anchor"></a>
					<h3>set<wbr>Button<wbr>Transition</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Button<wbr>Transition<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>sourceSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, destinationSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span>, button<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:32</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>sourceSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, destinationSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span>, button<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>sourceSituationID: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>destinationSituationID: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h5>
											</li>
											<li>
												<h5>button: <span class="tsd-signature-type">string</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setchooseimageareasmodalvisibility" class="tsd-anchor"></a>
					<h3>set<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal<wbr>Visibility</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal<wbr>Visibility<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>isVisible<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:22</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>isVisible<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>isVisible: <span class="tsd-signature-type">boolean</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setcurrentsituation" class="tsd-anchor"></a>
					<h3>set<wbr>Current<wbr>Situation</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Current<wbr>Situation<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>currentSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:18</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>currentSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>currentSituationID: <span class="tsd-signature-type">number</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setdemomode" class="tsd-anchor"></a>
					<h3>set<wbr>Demo<wbr>Mode</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Demo<wbr>Mode<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>active<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:19</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>active<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>active: <span class="tsd-signature-type">boolean</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setlightcolor" class="tsd-anchor"></a>
					<h3>set<wbr>Light<wbr>Color</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Light<wbr>Color<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, color<span class="tsd-signature-symbol">: </span><a href="color.html" class="tsd-signature-type">Color</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:20</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, color<span class="tsd-signature-symbol">: </span><a href="color.html" class="tsd-signature-type">Color</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>element: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>color: <a href="color.html" class="tsd-signature-type">Color</a></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setlightemission" class="tsd-anchor"></a>
					<h3>set<wbr>Light<wbr>Emission</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Light<wbr>Emission<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, emissionSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, emissionStrength<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:27</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, emissionSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, emissionStrength<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>element: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>emissionSituationID: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>emissionStrength: <span class="tsd-signature-type">number</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setnewelementtypemodalvisibility" class="tsd-anchor"></a>
					<h3>set<wbr>New<wbr>Element<wbr>Type<wbr>Modal<wbr>Visibility</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>New<wbr>Element<wbr>Type<wbr>Modal<wbr>Visibility<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>isVisible<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:21</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>isVisible<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>isVisible: <span class="tsd-signature-type">boolean</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setplaneselectionmode" class="tsd-anchor"></a>
					<h3>set<wbr>Plane<wbr>Selection<wbr>Mode</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Plane<wbr>Selection<wbr>Mode<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, active<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:35</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, active<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>element: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>active: <span class="tsd-signature-type">boolean</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setrenamingmodalsituation" class="tsd-anchor"></a>
					<h3>set<wbr>Renaming<wbr>Modal<wbr>Situation</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Renaming<wbr>Modal<wbr>Situation<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span>, stayOnCurrentSituation<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">true</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:29</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span>, stayOnCurrentSituation<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">true</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>situationID: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h5>
											</li>
											<li>
												<h5><span class="tsd-flag ts-flagOptional">Optional</span> stayOnCurrentSituation: <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">true</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setscreenimage" class="tsd-anchor"></a>
					<h3>set<wbr>Screen<wbr>Image</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Screen<wbr>Image<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, imageFile<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">File</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:23</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, imageFile<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">File</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>element: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>situationID: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>imageFile: <span class="tsd-signature-type">File</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setscreenplane" class="tsd-anchor"></a>
					<h3>set<wbr>Screen<wbr>Plane</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Screen<wbr>Plane<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>planeSelectionElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, plane<span class="tsd-signature-symbol">: </span><a href="vector3.html" class="tsd-signature-type">Vector3</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:24</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>planeSelectionElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, plane<span class="tsd-signature-symbol">: </span><a href="vector3.html" class="tsd-signature-type">Vector3</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>planeSelectionElement: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>plane: <a href="vector3.html" class="tsd-signature-type">Vector3</a></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setscreenresolution" class="tsd-anchor"></a>
					<h3>set<wbr>Screen<wbr>Resolution</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Screen<wbr>Resolution<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, resolution<span class="tsd-signature-symbol">: </span><a href="vector2.html" class="tsd-signature-type">Vector2</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:25</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, resolution<span class="tsd-signature-symbol">: </span><a href="vector2.html" class="tsd-signature-type">Vector2</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>element: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>resolution: <a href="vector2.html" class="tsd-signature-type">Vector2</a></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setselectedelement" class="tsd-anchor"></a>
					<h3>set<wbr>Selected<wbr>Element</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Selected<wbr>Element<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>selectedElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, clickedPlane<span class="tsd-signature-symbol">: </span><a href="vector3.html" class="tsd-signature-type">Vector3</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:28</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>selectedElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, clickedPlane<span class="tsd-signature-symbol">: </span><a href="vector3.html" class="tsd-signature-type">Vector3</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>selectedElement: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>clickedPlane: <a href="vector3.html" class="tsd-signature-type">Vector3</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setstartsituation" class="tsd-anchor"></a>
					<h3>set<wbr>Start<wbr>Situation</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Start<wbr>Situation<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:26</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>situationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>situationID: <span class="tsd-signature-type">number</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="settimebasedtransition" class="tsd-anchor"></a>
					<h3>set<wbr>Time<wbr>Based<wbr>Transition</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Time<wbr>Based<wbr>Transition<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>sourceSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, destinationSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, timeout<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:30</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>sourceSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, destinationSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, timeout<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>sourceSituationID: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>destinationSituationID: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>timeout: <span class="tsd-signature-type">number</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="settimebasedtransitionmodalvisibility" class="tsd-anchor"></a>
					<h3>set<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal<wbr>Visibility</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal<wbr>Visibility<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>isVisible<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:31</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>isVisible<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>isVisible: <span class="tsd-signature-type">boolean</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="settouchareatransition" class="tsd-anchor"></a>
					<h3>set<wbr>Touch<wbr>Area<wbr>Transition</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Touch<wbr>Area<wbr>Transition<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>sourceSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, destinationSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span>, button<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:33</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>sourceSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, destinationSituationID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span>, button<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>sourceSituationID: <span class="tsd-signature-type">number</span></h5>
											</li>
											<li>
												<h5>destinationSituationID: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h5>
											</li>
											<li>
												<h5>button: <span class="tsd-signature-type">string</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="setunityloadingprogress" class="tsd-anchor"></a>
					<h3>set<wbr>Unity<wbr>Loading<wbr>Progress</h3>
					<div class="tsd-signature tsd-kind-icon">set<wbr>Unity<wbr>Loading<wbr>Progress<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>progress<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:34</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>progress<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>progress: <span class="tsd-signature-type">number</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="shownextinformationbanner" class="tsd-anchor"></a>
					<h3>show<wbr>Next<wbr>Information<wbr>Banner</h3>
					<div class="tsd-signature tsd-kind-icon">show<wbr>Next<wbr>Information<wbr>Banner<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:17</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="switchcamerabehaviour" class="tsd-anchor"></a>
					<h3>switch<wbr>Camera<wbr>Behaviour</h3>
					<div class="tsd-signature tsd-kind-icon">switch<wbr>Camera<wbr>Behaviour<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/actions.interface.tsx:38</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-interface">
						<a href="actions.html" class="tsd-kind-icon">Actions</a>
						<ul>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#addelementtype" class="tsd-kind-icon">add<wbr>Element<wbr>Type</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#addimageregions" class="tsd-kind-icon">add<wbr>Image<wbr>Regions</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#createnewsituation" class="tsd-kind-icon">create<wbr>New<wbr>Situation</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#hideinformationbanner" class="tsd-kind-icon">hide<wbr>Information<wbr>Banner</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#removeelementtype" class="tsd-kind-icon">remove<wbr>Element<wbr>Type</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#removesituation" class="tsd-kind-icon">remove<wbr>Situation</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#removetemptransitions" class="tsd-kind-icon">remove<wbr>Temp<wbr>Transitions</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#removetimebasedtransition" class="tsd-kind-icon">remove<wbr>Time<wbr>Based<wbr>Transition</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#renamesituation" class="tsd-kind-icon">rename<wbr>Situation</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setbuttontransition" class="tsd-kind-icon">set<wbr>Button<wbr>Transition</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setchooseimageareasmodalvisibility" class="tsd-kind-icon">set<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal<wbr>Visibility</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setcurrentsituation" class="tsd-kind-icon">set<wbr>Current<wbr>Situation</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setdemomode" class="tsd-kind-icon">set<wbr>Demo<wbr>Mode</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setlightcolor" class="tsd-kind-icon">set<wbr>Light<wbr>Color</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setlightemission" class="tsd-kind-icon">set<wbr>Light<wbr>Emission</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setnewelementtypemodalvisibility" class="tsd-kind-icon">set<wbr>New<wbr>Element<wbr>Type<wbr>Modal<wbr>Visibility</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setplaneselectionmode" class="tsd-kind-icon">set<wbr>Plane<wbr>Selection<wbr>Mode</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setrenamingmodalsituation" class="tsd-kind-icon">set<wbr>Renaming<wbr>Modal<wbr>Situation</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setscreenimage" class="tsd-kind-icon">set<wbr>Screen<wbr>Image</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setscreenplane" class="tsd-kind-icon">set<wbr>Screen<wbr>Plane</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setscreenresolution" class="tsd-kind-icon">set<wbr>Screen<wbr>Resolution</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setselectedelement" class="tsd-kind-icon">set<wbr>Selected<wbr>Element</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setstartsituation" class="tsd-kind-icon">set<wbr>Start<wbr>Situation</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#settimebasedtransition" class="tsd-kind-icon">set<wbr>Time<wbr>Based<wbr>Transition</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#settimebasedtransitionmodalvisibility" class="tsd-kind-icon">set<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal<wbr>Visibility</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#settouchareatransition" class="tsd-kind-icon">set<wbr>Touch<wbr>Area<wbr>Transition</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#setunityloadingprogress" class="tsd-kind-icon">set<wbr>Unity<wbr>Loading<wbr>Progress</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#shownextinformationbanner" class="tsd-kind-icon">show<wbr>Next<wbr>Information<wbr>Banner</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="actions.html#switchcamerabehaviour" class="tsd-kind-icon">switch<wbr>Camera<wbr>Behaviour</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
</body>
</html>